1372826956:AAFe2Py65GSQkfGiRnXuOQ-eD9yXcwMv988

Hızlı Çalışmak için Özel Bir İkincil AutoCAD Komutu Yaratma

Sekil-01

Bu makalemde sizlere AutoCAD‘de makroların nasıl kullanılacağını anlatacağım.

Macrolar çok faydalı araçlar olmakla birlikte; sadece Kullanıcı Arayüzü Özelleştirme (KAÖ) Customizatiın User Interface” “(CUI)” dosyalarında kullanılabilirler. Makrolara araç çubuğundan, şeritten veya araç paletlerinden ulaşabilirsiniz. Şayet bir makroyu komut satırında kullanmak isterseniz, AutoLISP kullanmak zorundasınız.

 

Aynen makro gibi, özelleştirme de karmaşık olmak zorunda değildir. Aşağıda sizlere AutoCAD’de hızlı çalışmanız için, bazı ikincil komut örnekleri vereceğim.

İkincil Komutlar

AutoCAD komutları komut çalışırken kopmut satırından değiştirebileceğiniz birçok ayara sahiptirler. Şayet belirli bir komutu kullanırken ayarını sıkça değiştiriyorsanız, ikincil bir komut yaratma fikri çok iyi bir fikirdir. Aşağıda ikincil komut olarak kullanabileceğiniz örnekleri bulabilirsiniz:

O for OFFSET Komutu için O, Aktif Tabakaya OFFSET Yapmak için OO

Ön tanımlı olarak, AutoCADin OFFSET komutu orijinal nesne ile aynı tabakada ofsetleme işlemi yapacaktır. OFFSET komutu aktifken, komut seçeneğini değiştirerek ofsetleme işlemi yapılan nesnenin tabakasını o anki geçerli (aktif) tabaka olarak değiştirebilirsiniz. Böylece OO komut kısa yolunu kullanarak ofsetleme işleminin sonuç nesnesini o anki geçerli (aktif) tabaka üzerine alabilirsiniz. Bu sizi hızlandıracaktır değil mi?

Tabiki O yazıp Enter tuşuna bastıktan sonra C yazıp Enter tuşuna basarak ta kesinlikle aynı işi yapabilirsiniz. İkincil komutların amacı mevcut komutların seçeneklerini hızlıca kullanmaktır. OO yazıp Enter tuşuna basmak O yazıp Enter tuşuna bastıktan sonra C yazıp Enter tuşuna basmaktan çok daha hızlıdır değil mi?

Öcelikle ilk AutoLISP öğreticimiz: Orjine Görüntü Yaklaşma programını kontrol edin. O öğretici size LISP programı yaratarak basit bir özelleştirme yaratmak için fikir verecektir.

O öğreticide anlattığıma benzer şekilde, aşağıdaki kodu kullanarak ofsetle işlemini o anki geçerli (aktif) tabakaya “current layer” yapan bir program yaratabilirsiniz:

(defun c:OO (/ )

(command “_OFFSET” “L” “C”)

)

Kaynak nesne ile aynı tabakada nesne yaratan diğer bir LISP yaratmak için, aşağıdaki kodu kullanabilirsiniz:

(defun c:OOO (/ )

(komut “_OFFSET” “L” “S”)

)

Bir Önceki Seçimdeki Nesneler Üzerinde MOVE Komutu için MM

Dişğer bir fikir de bir önceki seçim setindeki nesneleri taşımak için, özel bir komut yaratmaktır. Bunun için aşağıdaki kodu kullanabilirsiniz:

(defun c:MM (/ )

(komut “_MOVE” “P”)

)

Böylece M yazıp Enter tuşuna bastıktan sonra P yazıp Enter tuşuna basmak yerine MM yazıp Enter tuşuna basarak aynı işlemi yapabilirsiniz.

Şayet AutoLISP programının nasıl yükleneceğini bilmiyorsanız burayı tıklayarak öğrenebilirsiniz.

Sizin ikincil komutlar ile ilgili tavsiye edeceğiniz bir fikir var mı? Şayet varsa, lütfen yorum yazarak bizlerle paylaşın.

 

Hakkında Sertan Türkan

AutoCAD Beyni

Bunu da Kontrol edin

Revitte Altlıklar “Underlay” Hakkında

Revit’te koordinasyon ve inşaat için farklı kotlardaki bileşenlerin ilişkisini anlamanız gerektiğinde Altlıklar “Underlays” yararlıdırlar. Video: …

Bir cevap yazın

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Yardıma mı ihtiyacınız var? Chat with us
Bir görüşme başlatmak için lütfen önce gizlilik politikamızı kabul edin.